diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
new file mode 100644
index 175d1d5..8f3c5cd
*** a/doc/src/sgml/config.sgml
--- b/doc/src/sgml/config.sgml
*************** SET XML OPTION { DOCUMENT | CONTENT };
*** 5329,5334 ****
--- 5329,5335 ----
          partially-significant digits; this is especially useful for dumping
          float data that needs to be restored exactly.  Or it can be set
          negative to suppress unwanted digits.
+         See also <xref linkend="datatype-float">.
         </para>
        </listitem>
       </varlistentry>
diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
new file mode 100644
index 02763b5..7754aba
*** a/doc/src/sgml/datatype.sgml
--- b/doc/src/sgml/datatype.sgml
*************** NUMERIC
*** 681,686 ****
--- 681,698 ----
       from zero will cause an underflow error.
      </para>
  
+     <para>
+      The (inherently inaccurate) textual representation of a <type>real</type>
+      or <type>double precision</type> value will by default contain only as many
+      significant digits as can be represented without losing precision
+      on any platform supported by PostgreSQL.  The configuration
+      parameter <xref linkend="guc-extra-float-digits"> can be used to
+      adjust the number of significant digits for these data types.
+      Increasing this value beyond its default value <literal>0</literal>
+      will show a value closer to what is actually stored, but the output
+      can differ from the input and might vary across different platforms.
+     </para>
+ 
      <indexterm>
       <primary>not a number</primary>
       <secondary>double precision</secondary>
